## pyscript 0.6.1

=== doc/examples/Makefile ===
# $Id: Makefile,v 1.8 2006/04/24 12:40:54 paultcochrane Exp $

MAIN = align.eps\
       align2.eps\
       atom.eps\
       bifurcate.eps\
       detector.eps\
       distribute.eps\
       div_con.eps\
       fabry-perot_pdh.eps\
       flower_algorithm.eps\
       mach-zehnder.eps\
       michelson-morely.eps\
       qcirc.eps\
       sagnac.eps\
       sphere.eps\
       stateSwap.eps\
       teleport.eps\
       tex.eps\
       tutorial.eps\
       twoqubitQST.eps

all: $(MAIN) Makefile

view: $(MAIN)
	$(foreach i, $(MAIN), $(shell gv $i))

# standard TeX stuff
%.eps:  %.py
	pyscript $<

clean:
	rm -f $(MAIN)

# vim: shiftwidth=4:

=== doc/manual/Makefile ===
# Copyright (C) 2002-2006  Alexei Gilchrist and Paul Cochrane
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# $Id: Makefile,v 1.11 2006/06/06 12:38:11 paultcochrane Exp $

MAIN = pyscript
FIGS = 

all: $(FIGS) $(MAIN).pdf

view: $(FIGS) $(MAIN).pdf
	gv $(MAIN).pdf

acro: $(FIGS) $(MAIN).pdf
	acroread $(MAIN).pdf

pdf: $(MAIN).pdf

dvi: $(MAIN).dvi

$(FIGS) : %.pdf : %.py
	./$<
	epstopdf $*.eps

%.pdf:  %.tex $(FIGS) pyscript_defs.tex libpresent.tex libpresentation.tex libqi.tex pyscriptElectronics.tex pyscriptOptics.tex pyscript.bib
	pdflatex $<
	-bibtex $*
	pdflatex $<
	pdflatex $<

%.dvi:  %.tex $(FIGS) pyscript_defs.tex libpresent.tex libpresentation.tex libqi.tex pyscriptElectronics.tex pyscriptOptics.tex pyscript.bib
	latex $<
	-bibtex $*
	latex $<
	latex $<

# standard TeX stuff
#%.dvi:  %.tex $(FIGS)
#	latex $<
#	-bibtex $*
#	latex $<
#	latex $<

#%.ps: %.dvi
#	dvips -o $*.ps $*.dvi

#%.pdf: %.tex
#	ps2pdf $*.ps $*.pdf

#dvi: $(MAIN).dvi
#ps: $(MAIN).ps
#pdf: $(MAIN).pdf
figs: $(FIGS)

clean:
	-rm -f *~ *.mpx *.log *.aux *.blg

reallyclean: clean
	-rm -f figs.[0-9]*.eps *.pdf *.dvi $(FIGS) *.bbl

=== debian/changelog ===
pyscript (0.6.1-4) unstable; urgency=low

  [ Arnaud Fontaine ]
  * debian/control: bump Standards-Version to 3.9.4. No changes needed.
  * Use dh_python2 rather than deprecated pysupport:
    + debian/control:
      - Bump cdbs version to 0.4.90~.
      - Replace python-dev by python-all (all) and bump version to 2.6.6-3~.
      - Drop Build-Depends against python-support.
    + debian/rules:
      - Remove DEB_PYTHON_SYSTEM line.
    + Remove debian/pyversions and debian/pycompat (use X-Python-Version).
  * debian/pyscript.dbk: fix spelling error reported by lintian.
  * Use 3.0 (quilt) format.
    + debian/rules: no need to use simple-patchsys.mk anymore.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 28 May 2013 11:00:51 +0900

pyscript (0.6.1-3) unstable; urgency=low

  [ Luca Falavigna ]
  * debian/patches/01_Python2.6_reserved_words.patch:
    - Do not use "as" as variable name, it's a reserved word in
      Python 2.6 (Closes: #567005).
  * debian/control:
    - Remove python-dev from Build-Depends, add python instead.
    - Depend on ${misc:Depends} where needed.
    - Bump Standards-Version to 3.8.4, no changes required.
  * debian/copyright:
    - Update common-license link to point to GPL-2.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sun, 07 Mar 2010 13:33:02 +0100

pyscript (0.6.1-2) unstable; urgency=low

  [ Arnaud Fontaine ]
  * New email address.
  * Remove useless debian/control.in.
  * debian/control:
    + Update Standards-Version to 3.7.3. No changes needed.

  [ Piotr Ożarowski ]
  * debian/control:
    + Add Vcs-Browser and Homepage fields.
    + Rename XS-Vcs-Svn field to Vcs-Svn.

  [ Sandro Tosi ]
  * debian/control:
    - Uniformise Vcs-Browser field.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 30 May 2008 12:16:01 +0200

pyscript (0.6.1-1) unstable; urgency=low

  * New upstream version
    + Include source of the documentation.
  * New Python policy changes.
    + debian/compat:
      - Update debhelper compatibility to 5.
    + debian/rules:
      - Add DEB_PYTHON_SYSTEM=pysupport.
    + debian/control.in
      - Clean Build-Depends and Depends, cdbs handles that
        automatically now.
      - XB-Python-Version for binary package.
    + debian/postinst && debian/prerm:
      - Remove "hand made" python-support stuff, cdbs does this.

 -- Arnaud Fontaine <arnaud@andesi.org>  Fri, 23 Jun 2006 21:19:10 +0200

pyscript (0.6-1) unstable; urgency=low

  * Initial release. Closes: #365009.

 -- Arnaud Fontaine <arnaud@andesi.org>  Fri, 28 Apr 2006 16:51:32 +0200

=== debian/control ===
Source: pyscript
Section: python
Priority: optional
Maintainer: Arnaud Fontaine <arnau@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0.37.2),
               cdbs (>= 0.4.90~),
               python-all (>= 2.6.6-3~)
Build-Depends-Indep: xsltproc,
                     docbook-xsl,
                     docbook-xml
Standards-Version: 3.9.4
X-Python-Version: >= 2.3
Homepage: http://pyscript.sourceforge.net
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pyscript/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pyscript/trunk/

Package: python-pyscript
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-pyscript-doc
Description: Python module for producing postscript graphics
 PyScript  is a Python  module for  producing high  quality postscript
 graphics. Rather  than use a  GUI to draw  a picture, the  picture is
 programmed using Python and the PyScript objects.

Package: python-pyscript-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Python module for producing postscript graphics - documentation
 PyScript  is a Python  module for  producing high  quality postscript
 graphics. Rather  than use a  GUI to draw  a picture, the  picture is
 programmed using Python and the PyScript objects.
 .
 This package contains the documentation for Pyscript.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# Don't compress .py files
DEB_COMPRESS_EXCLUDE := .py

# Manpages stuff 
MANPAGES = debian/pyscript.1
XSLT_CMD = xsltproc -nonet
DB2MAN   = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl

DEB_DESTDIR=debian/python-pyscript

install/python-pyscript:: $(MANPAGES)

%.1: %.dbk
	cd $(<D) && $(XSLT_CMD) $(DB2MAN) $(<F)

clean::
	rm -f $(MANPAGES)

=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/pyscript/ pyscript-([\d.]*).tar.gz
